/*
 * (c) 2015 Mechatronik Karl Zeilhofer
 * karl@zeilhofer.co.at
 *
 * If you want to use or modify the sourcecode, please contact me.
 */


#ifndef RESTORER_H
#define RESTORER_H

#include <QObject>

class Restorer : public QObject
{
    Q_OBJECT
public:
    explicit Restorer(QObject *parent = 0);

public slots:
    void process(QString rootDirPath);

private:
    void restore(QString absoluteFilePath);

signals:
    void currentFileNameChanged(QString fn);
    void finished();

};

#endif // RESTORER_H
